List Addresses

Retrieves a list of addresses across all Company accounts. Use the parameters to filter results by different attributes like creation date, Company account, and country.

By default, the response does not include address extra fields and values. To include this information, use the isIncludeExtraFields parameter and provide a value of 1.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptional>=0Defaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

minModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses updated after that time.
maxModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses updated before that time.
minCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses created after that time.
maxCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses created before that time.
companyIdintegerOptional
Enter the unique numeric ID of the Company account to return its addresses.
isBillingbooleanOptional
Indicate whether you want to filter for or against billing addresses in the response.
isShippingbooleanOptional
Indicate whether you want to filter for or against shipping addresses in the response.
isIncludeExtraFieldsenumOptional

Indicate whether you want to include (1) or exclude (0) address extra fields in the response.

Allowed values:
firstNamestringOptional
Filter for addresses with a specific first name.
lastNamestringOptional
Filter for addresses with a specific last name.
addressstringOptional
Enter the first or second address line to return relevant addresses.
citystringOptional
Filter for addresses from a specific city.
countrystringOptional

Filter for addresses from a specific country. Use the country’s full name or its two-letter ISO code.

statestringOptional

Filter for addresses from a specific state or province. Use the state’s full name or its two-letter ISO code.

zipCodestringOptional
Filter for addresses from a specific postal code.
phoneNumberstringOptional
Filter for addresses with a specific phone number.
externalId[]stringOptional

Filter by an external ID assigned to addresses in a third-party system, such as an ERP.

Response

OK
dataobject
codeintegerDefaults to 200
HTTP Response Code
metaobject